Data.ConfigFile

# Introduction

## Features

## History

# Configuration File Format

## White Space

## Comments

## Case Sensitivity

## Interpolation

# Usage Examples

## Non-Monadic Usage

## Error Monad Usage

## Combined Error/IO Monad Usage

# Types

type SectionSpec

type OptionSpec

data ConfigParser

data CPErrorData

type CPError

# Initialization

emptyCP

# Configuring the ConfigParser

## Access Functions

simpleAccess

interpolatingAccess

# Reading

readfile

readhandle

readstring

# Accessing Data

class Get_C a

sections

has_section

options

has_option

items

# Modifying Data

set

setshow

remove_option

add_section

remove_section

merge

# Output Data

to_string